package com.qunzhixinxi.hnqz.common.taxhelper.entity.model;

import com.qunzhixinxi.hnqz.common.taxhelper.config.TaxHelperConfig;
import lombok.Data;
import lombok.Getter;

/**
 * {@code TaxHelperECheckModel} 小程序根据token查询E证通认证结果MODEL
 *
 * @author Hengchen.Sun
 * @version 1.0.0
 * @date 2021-06-08
 * @since ver.1.0.0
 */
@Data
public class TaxHelperECheckModel extends TaxHelperModel {

	private static final long serialVersionUID = 7675884361217719910L;

	String token;

	@Getter
	private final String merchantId;

	public TaxHelperECheckModel(TaxHelperConfig taxHelperConfig){
		this.appId = taxHelperConfig.getAppId();
		this.appSecrete = taxHelperConfig.getAppSecrete();
		this.queryUrl = taxHelperConfig.getQueryUrl();
		this.merchantId = "0NSJ2104091559324068";
	}
}
